//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloSAP92
{
    using System;
    using System.Collections.Generic;
    
    public partial class OCRD
    {
        public string CardCode { get; set; }
        public string CardName { get; set; }
        public string CardType { get; set; }
        public Nullable<short> GroupCode { get; set; }
        public string CmpPrivate { get; set; }
        public string Address { get; set; }
        public string ZipCode { get; set; }
        public string MailAddres { get; set; }
        public string MailZipCod { get; set; }
        public string Phone1 { get; set; }
        public string Phone2 { get; set; }
        public string Fax { get; set; }
        public string CntctPrsn { get; set; }
        public string Notes { get; set; }
        public Nullable<decimal> Balance { get; set; }
        public Nullable<decimal> ChecksBal { get; set; }
        public Nullable<decimal> DNotesBal { get; set; }
        public Nullable<decimal> OrdersBal { get; set; }
        public Nullable<short> GroupNum { get; set; }
        public Nullable<decimal> CreditLine { get; set; }
        public Nullable<decimal> DebtLine { get; set; }
        public Nullable<decimal> Discount { get; set; }
        public string VatStatus { get; set; }
        public string LicTradNum { get; set; }
        public string DdctStatus { get; set; }
        public Nullable<decimal> DdctPrcnt { get; set; }
        public Nullable<System.DateTime> ValidUntil { get; set; }
        public Nullable<int> Chrctrstcs { get; set; }
        public Nullable<int> ExMatchNum { get; set; }
        public Nullable<int> InMatchNum { get; set; }
        public Nullable<short> ListNum { get; set; }
        public Nullable<decimal> DNoteBalFC { get; set; }
        public Nullable<decimal> OrderBalFC { get; set; }
        public Nullable<decimal> DNoteBalSy { get; set; }
        public Nullable<decimal> OrderBalSy { get; set; }
        public string Transfered { get; set; }
        public string BalTrnsfrd { get; set; }
        public Nullable<decimal> IntrstRate { get; set; }
        public Nullable<decimal> Commission { get; set; }
        public Nullable<short> CommGrCode { get; set; }
        public string Free_Text { get; set; }
        public Nullable<int> SlpCode { get; set; }
        public string PrevYearAc { get; set; }
        public string Currency { get; set; }
        public string RateDifAct { get; set; }
        public Nullable<decimal> BalanceSys { get; set; }
        public Nullable<decimal> BalanceFC { get; set; }
        public string Protected { get; set; }
        public string Cellular { get; set; }
        public Nullable<short> AvrageLate { get; set; }
        public string City { get; set; }
        public string County { get; set; }
        public string Country { get; set; }
        public string MailCity { get; set; }
        public string MailCounty { get; set; }
        public string MailCountr { get; set; }
        public string E_Mail { get; set; }
        public string Picture { get; set; }
        public string DflAccount { get; set; }
        public string DflBranch { get; set; }
        public string BankCode { get; set; }
        public string AddID { get; set; }
        public string Pager { get; set; }
        public string FatherCard { get; set; }
        public string CardFName { get; set; }
        public string FatherType { get; set; }
        public string QryGroup1 { get; set; }
        public string QryGroup2 { get; set; }
        public string QryGroup3 { get; set; }
        public string QryGroup4 { get; set; }
        public string QryGroup5 { get; set; }
        public string QryGroup6 { get; set; }
        public string QryGroup7 { get; set; }
        public string QryGroup8 { get; set; }
        public string QryGroup9 { get; set; }
        public string QryGroup10 { get; set; }
        public string QryGroup11 { get; set; }
        public string QryGroup12 { get; set; }
        public string QryGroup13 { get; set; }
        public string QryGroup14 { get; set; }
        public string QryGroup15 { get; set; }
        public string QryGroup16 { get; set; }
        public string QryGroup17 { get; set; }
        public string QryGroup18 { get; set; }
        public string QryGroup19 { get; set; }
        public string QryGroup20 { get; set; }
        public string QryGroup21 { get; set; }
        public string QryGroup22 { get; set; }
        public string QryGroup23 { get; set; }
        public string QryGroup24 { get; set; }
        public string QryGroup25 { get; set; }
        public string QryGroup26 { get; set; }
        public string QryGroup27 { get; set; }
        public string QryGroup28 { get; set; }
        public string QryGroup29 { get; set; }
        public string QryGroup30 { get; set; }
        public string QryGroup31 { get; set; }
        public string QryGroup32 { get; set; }
        public string QryGroup33 { get; set; }
        public string QryGroup34 { get; set; }
        public string QryGroup35 { get; set; }
        public string QryGroup36 { get; set; }
        public string QryGroup37 { get; set; }
        public string QryGroup38 { get; set; }
        public string QryGroup39 { get; set; }
        public string QryGroup40 { get; set; }
        public string QryGroup41 { get; set; }
        public string QryGroup42 { get; set; }
        public string QryGroup43 { get; set; }
        public string QryGroup44 { get; set; }
        public string QryGroup45 { get; set; }
        public string QryGroup46 { get; set; }
        public string QryGroup47 { get; set; }
        public string QryGroup48 { get; set; }
        public string QryGroup49 { get; set; }
        public string QryGroup50 { get; set; }
        public string QryGroup51 { get; set; }
        public string QryGroup52 { get; set; }
        public string QryGroup53 { get; set; }
        public string QryGroup54 { get; set; }
        public string QryGroup55 { get; set; }
        public string QryGroup56 { get; set; }
        public string QryGroup57 { get; set; }
        public string QryGroup58 { get; set; }
        public string QryGroup59 { get; set; }
        public string QryGroup60 { get; set; }
        public string QryGroup61 { get; set; }
        public string QryGroup62 { get; set; }
        public string QryGroup63 { get; set; }
        public string QryGroup64 { get; set; }
        public string DdctOffice { get; set; }
        public Nullable<System.DateTime> CreateDate { get; set; }
        public Nullable<System.DateTime> UpdateDate { get; set; }
        public string ExportCode { get; set; }
        public Nullable<short> DscntObjct { get; set; }
        public string DscntRel { get; set; }
        public Nullable<short> SPGCounter { get; set; }
        public Nullable<int> SPPCounter { get; set; }
        public string DdctFileNo { get; set; }
        public Nullable<short> SCNCounter { get; set; }
        public Nullable<decimal> MinIntrst { get; set; }
        public string DataSource { get; set; }
        public Nullable<int> OprCount { get; set; }
        public string ExemptNo { get; set; }
        public Nullable<int> Priority { get; set; }
        public Nullable<short> CreditCard { get; set; }
        public string CrCardNum { get; set; }
        public Nullable<System.DateTime> CardValid { get; set; }
        public Nullable<short> UserSign { get; set; }
        public string LocMth { get; set; }
        public string validFor { get; set; }
        public Nullable<System.DateTime> validFrom { get; set; }
        public Nullable<System.DateTime> validTo { get; set; }
        public string frozenFor { get; set; }
        public Nullable<System.DateTime> frozenFrom { get; set; }
        public Nullable<System.DateTime> frozenTo { get; set; }
        public string sEmployed { get; set; }
        public Nullable<int> MTHCounter { get; set; }
        public Nullable<int> BNKCounter { get; set; }
        public Nullable<int> DdgKey { get; set; }
        public Nullable<int> DdtKey { get; set; }
        public string ValidComm { get; set; }
        public string FrozenComm { get; set; }
        public string chainStore { get; set; }
        public string DiscInRet { get; set; }
        public string State1 { get; set; }
        public string State2 { get; set; }
        public string VatGroup { get; set; }
        public Nullable<int> LogInstanc { get; set; }
        public string ObjType { get; set; }
        public string Indicator { get; set; }
        public Nullable<short> ShipType { get; set; }
        public string DebPayAcct { get; set; }
        public string ShipToDef { get; set; }
        public string Block { get; set; }
        public string MailBlock { get; set; }
        public string Password { get; set; }
        public string ECVatGroup { get; set; }
        public string Deleted { get; set; }
        public string IBAN { get; set; }
        public int DocEntry { get; set; }
        public Nullable<int> FormCode { get; set; }
        public string Box1099 { get; set; }
        public string PymCode { get; set; }
        public string BackOrder { get; set; }
        public string PartDelivr { get; set; }
        public Nullable<int> DunnLevel { get; set; }
        public Nullable<System.DateTime> DunnDate { get; set; }
        public string BlockDunn { get; set; }
        public string BankCountr { get; set; }
        public string CollecAuth { get; set; }
        public string DME { get; set; }
        public string InstrucKey { get; set; }
        public string SinglePaym { get; set; }
        public string ISRBillId { get; set; }
        public string PaymBlock { get; set; }
        public string RefDetails { get; set; }
        public string HouseBank { get; set; }
        public string OwnerIdNum { get; set; }
        public Nullable<int> PyBlckDesc { get; set; }
        public string HousBnkCry { get; set; }
        public string HousBnkAct { get; set; }
        public string HousBnkBrn { get; set; }
        public string ProjectCod { get; set; }
        public Nullable<int> SysMatchNo { get; set; }
        public string VatIdUnCmp { get; set; }
        public string AgentCode { get; set; }
        public Nullable<short> TolrncDays { get; set; }
        public string SelfInvoic { get; set; }
        public string DeferrTax { get; set; }
        public string LetterNum { get; set; }
        public Nullable<decimal> MaxAmount { get; set; }
        public Nullable<System.DateTime> FromDate { get; set; }
        public Nullable<System.DateTime> ToDate { get; set; }
        public string WTLiable { get; set; }
        public string CrtfcateNO { get; set; }
        public Nullable<System.DateTime> ExpireDate { get; set; }
        public string NINum { get; set; }
        public string AccCritria { get; set; }
        public string WTCode { get; set; }
        public string Equ { get; set; }
        public string HldCode { get; set; }
        public string ConnBP { get; set; }
        public Nullable<int> MltMthNum { get; set; }
        public string TypWTReprt { get; set; }
        public string VATRegNum { get; set; }
        public string RepName { get; set; }
        public string Industry { get; set; }
        public string Business { get; set; }
        public string WTTaxCat { get; set; }
        public string IsDomestic { get; set; }
        public string IsResident { get; set; }
        public string AutoCalBCG { get; set; }
        public string OtrCtlAcct { get; set; }
        public string AliasName { get; set; }
        public string Building { get; set; }
        public string MailBuildi { get; set; }
        public string BoEPrsnt { get; set; }
        public string BoEDiscnt { get; set; }
        public string BoEOnClct { get; set; }
        public string UnpaidBoE { get; set; }
        public string ITWTCode { get; set; }
        public string DunTerm { get; set; }
        public string ChannlBP { get; set; }
        public Nullable<int> DfTcnician { get; set; }
        public Nullable<int> Territory { get; set; }
        public string BillToDef { get; set; }
        public string DpmClear { get; set; }
        public string IntrntSite { get; set; }
        public Nullable<int> LangCode { get; set; }
        public Nullable<int> HousActKey { get; set; }
        public string Profession { get; set; }
        public Nullable<short> CDPNum { get; set; }
        public Nullable<int> DflBankKey { get; set; }
        public string BCACode { get; set; }
        public string UseShpdGd { get; set; }
        public string RegNum { get; set; }
        public string VerifNum { get; set; }
        public string BankCtlKey { get; set; }
        public string HousCtlKey { get; set; }
        public string AddrType { get; set; }
        public string InsurOp347 { get; set; }
        public string MailAddrTy { get; set; }
        public string StreetNo { get; set; }
        public string MailStrNo { get; set; }
        public string TaxRndRule { get; set; }
        public Nullable<int> VendTID { get; set; }
        public string ThreshOver { get; set; }
        public string SurOver { get; set; }
        public string VendorOcup { get; set; }
        public string OpCode347 { get; set; }
        public string DpmIntAct { get; set; }
        public string ResidenNum { get; set; }
        public Nullable<short> UserSign2 { get; set; }
        public string PlngGroup { get; set; }
        public string VatIDNum { get; set; }
        public string Affiliate { get; set; }
        public string MivzExpSts { get; set; }
        public string HierchDdct { get; set; }
        public string CertWHT { get; set; }
        public string CertBKeep { get; set; }
        public string WHShaamGrp { get; set; }
        public Nullable<int> IndustryC { get; set; }
        public Nullable<int> DatevAcct { get; set; }
        public string DatevFirst { get; set; }
        public string GTSRegNum { get; set; }
        public string GTSBankAct { get; set; }
        public string GTSBilAddr { get; set; }
        public string HsBnkSwift { get; set; }
        public string HsBnkIBAN { get; set; }
        public string DflSwift { get; set; }
        public string AutoPost { get; set; }
        public string IntrAcc { get; set; }
        public string FeeAcc { get; set; }
        public Nullable<int> CpnNo { get; set; }
        public Nullable<short> NTSWebSite { get; set; }
        public string DflIBAN { get; set; }
        public Nullable<short> Series { get; set; }
        public Nullable<int> Number { get; set; }
        public Nullable<int> EDocExpFrm { get; set; }
        public string TaxIdIdent { get; set; }
        public string Attachment { get; set; }
        public Nullable<int> AtcEntry { get; set; }
        public string DiscRel { get; set; }
        public string NoDiscount { get; set; }
        public string SCAdjust { get; set; }
        public Nullable<int> DflAgrmnt { get; set; }
        public string GlblLocNum { get; set; }
        public string SenderID { get; set; }
        public string RcpntID { get; set; }
        public Nullable<int> MainUsage { get; set; }
        public string SefazCheck { get; set; }
        public string free312 { get; set; }
        public string free313 { get; set; }
        public Nullable<System.DateTime> DateFrom { get; set; }
        public Nullable<System.DateTime> DateTill { get; set; }
        public string RelCode { get; set; }
        public string OKATO { get; set; }
        public string OKTMO { get; set; }
        public string KBKCode { get; set; }
        public string TypeOfOp { get; set; }
        public Nullable<int> OwnerCode { get; set; }
        public string MandateID { get; set; }
        public Nullable<System.DateTime> SignDate { get; set; }
        public Nullable<int> Remark1 { get; set; }
        public string ConCerti { get; set; }
        public Nullable<int> TpCusPres { get; set; }
        public string RoleTypCod { get; set; }
        public string BlockComm { get; set; }
        public string EmplymntCt { get; set; }
        public string ExcptnlEvt { get; set; }
        public Nullable<decimal> ExpnPrfFnd { get; set; }
        public string EdrsFromBP { get; set; }
        public string EdrsToBP { get; set; }
        public Nullable<int> CreateTS { get; set; }
        public Nullable<int> UpdateTS { get; set; }
        public string EDocGenTyp { get; set; }
        public string eStreet { get; set; }
        public string eStreetNum { get; set; }
        public Nullable<int> eBuildnNum { get; set; }
        public string eZipCode { get; set; }
        public string eCityTown { get; set; }
        public string eCountry { get; set; }
        public string eDistrict { get; set; }
        public string RepFName { get; set; }
        public string RepSName { get; set; }
        public string RepCmpName { get; set; }
        public string RepFisCode { get; set; }
        public string RepAddID { get; set; }
        public string PECAddr { get; set; }
        public string IPACodePA { get; set; }
        public string MerchantID { get; set; }
        public string TxExMxVdTp { get; set; }
        public string UseBilAddr { get; set; }
        public string U_RequisitosC { get; set; }
        public string U_Solicitud { get; set; }
        public string U_Alta_H { get; set; }
        public string U_Cedula { get; set; }
        public string U_Comprobante { get; set; }
        public string U_Pagare { get; set; }
        public string U_INE { get; set; }
        public string U_INE_Aval { get; set; }
        public string U_Acta { get; set; }
        public string U_Poder_Notarial { get; set; }
        public string U_VL_DIOT_TipoOp { get; set; }
        public string U_B1SYS_MainUsage { get; set; }
    }
}
